/**本脚本为自动生成，每次生成会覆盖！请勿手动修改，生成插件文档及项目地址：https://git.whoot.com/whoot-games/whoot.fguieditorplugin**/

using FairyGUI;
using FairyGUI.Utils;
using NBC;
using System.Collections.Generic;

namespace NBF
{
    /// <summary>  </summary>
    public partial class HomePanel
    {
        public GObject this[string aKey] => ContentPane.GetChild(aKey);
        public override string UIPackName => "Main";
        public override string UIResName => "HomePanel";

        [AutoFind(Name = "Back")]
        public UIBlurBackground Back;
        [AutoFind(Name = "Pages")]
        public GComponent Pages;
        [AutoFind(Name = "Menu")]
        public CommonMenu Menu;
        public override string[] GetDependPackages(){ return new string[] {"Common","CommonNew"}; }

        public static void Show(object param = null){ UI.Inst.OpenUI<HomePanel>(param); }

        public static void Hide(){ UI.Inst.HideUI<HomePanel>(); }

        public static void Del(){ UI.Inst.DestroyUI<HomePanel>(); }

    }
}